Qt 5.7 | Qt Charts | C++ Classes | QBarLegendMarker

Qt 5.7.1 Reference Documentation

# QBarLegendMarker Class

QLegendMarker subclass for bar series. More...

Header: | #include <QBarLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QBarLegendMarker()
QBarSet * | barset()

## Reimplemented Public Functions

virtual QAbstractBarSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

QLegendMarker subclass for bar series.

QBarLegendMarker is related to QAbstractBarSeries derived classes. With bar series, each marker is related to one QBarSet.

See also QLegend, QAbstractBarSeries, and QBarSet.

## Member Function Documentation

### `[virtual]` QBarLegendMarker::~QBarLegendMarker()

Desturctor

### QBarSet *QBarLegendMarker::barset()

Returns the related barset of marker

### `[virtual]` QAbstractBarSeries *QBarLegendMarker::series()

Reimplemented from QLegendMarker::series().

Returns the related series of marker

### `[virtual]` LegendMarkerType QBarLegendMarker::type()

Reimplemented from QLegendMarker::type().

Returns QLegendMarker::LegendMarkerTypeBar